pinv = player.getInventory();
if (pinv.getSlotContainingItem(353) != -1)
{
    if (pinv.getSlotContainingItem(353) == 35)
    {
        if (pinv.getItemInSlot(35).getQuantity() <= -1)
        {
            pinv.getItemInSlot(35).setQuantity(pinv.getItemInSlot(35).getQuantity() + 256);
        }
    }
}
